nvme_mi_admin_get_log_error(9)

NAME
nvme_mi_admin_get_log_error - Retrieve nvme error log

SYNOPSIS
int nvme_mi_admin_get_log_error (nvme_mi_ctrl_t ctrl , unsigned int nr_entries , bool rae , struct nvme_error_log_page *err_log );

ARGUMENTS

ctrl
    Controller to query

nr_entries
    Number of error log entries allocated

rae Retain asynchronous events

err_log
    Array of error logs of size 'entries'

DESCRIPTION
This log page describes extended error information for a command that completed with error, or may report an error that is not specific to a particular command.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.